# Class SaveGraphics

java.lang.Object
org.apache.jmeter.gui.action.SaveGraphics

All Implemented Interfaces:
  `Command`

public class SaveGraphics extends Object implements Command
SaveGraphics action is meant to be a generic reusable Action. The class will use GUIPackage to get the current gui. Once it does, it checks to see if the element implements Printable interface. If it does, it call getPrintable() to get the JComponent. By default, it will use SaveGraphicsService to save a PNG file if no extension is provided. If either .png or .tif is in the filename, it will call SaveGraphicsService to save in the format.

## Constructor Summary

Constructors
Constructor
Description
`SaveGraphics()`
Constructor for the Save object.

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`
Gets the ActionNames attribute of the Save object.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaveGraphics

public SaveGraphics()
Constructor for the Save object.

## Method Details

### getActionNames

public Set<String> getActionNames()
Gets the ActionNames attribute of the Save object.

Specified by:
  `getActionNames` in interface `Command`
Returns:
  the ActionNames value

### doAction

public void doAction(ActionEvent e) throws IllegalUserActionException

Specified by:
  `doAction` in interface `Command`
Throws:
  `IllegalUserActionException`